Package org.eclipse.emf.cdo.ui

# Class UserInfo

java.lang.Object
org.eclipse.emf.cdo.ui.UserInfo

All Implemented Interfaces:
  `org.eclipse.net4j.util.security.IUserAware`, `org.eclipse.net4j.util.security.IUserInfo`

public final class UserInfo extends Object implements org.eclipse.net4j.util.security.IUserInfo
Encapsulates `serializable` information about a user, namely her `first`, `last`, and `display` names.

Since:
  4.13
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`UserInfo.Manager`
Manages the `user info` of the `local user` and maintains a user info cache for `remote users`.
`static interface`
`UserInfo.Provider`

## Constructor Summary

Constructors
Constructor
Description
`UserInfo(String firstName, String lastName, String displayName)`
`UserInfo(String firstName, String lastName, String displayName, URI avatar)`

## Method Summary

Modifier and Type
Method
Description
`URI`
`getAvatar()`
`String`
`getDisplayName()`
`String`
`getFirstName()`
`String`
`getFullName()`
`String`
`getLastName()`
`String`
`getUserID()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserInfo

`getInitials, getShortName`

## Constructor Details

### UserInfo

public UserInfo(String firstName, String lastName, String displayName)

### UserInfo

public UserInfo(String firstName, String lastName, String displayName, URI avatar)

Since:
  4.18

## Method Details

### getUserID

public String getUserID()

Specified by:
  `getUserID` in interface `org.eclipse.net4j.util.security.IUserAware`

### getFirstName

public String getFirstName()

Specified by:
  `getFirstName` in interface `org.eclipse.net4j.util.security.IUserInfo`

### getLastName

public String getLastName()

Specified by:
  `getLastName` in interface `org.eclipse.net4j.util.security.IUserInfo`

### getFullName

public String getFullName()

Specified by:
  `getFullName` in interface `org.eclipse.net4j.util.security.IUserInfo`

### getDisplayName

public String getDisplayName()

### getAvatar

public URI getAvatar()

Specified by:
  `getAvatar` in interface `org.eclipse.net4j.util.security.IUserInfo`
Since:
  4.18

### toString

public String toString()

Overrides:
  `toString` in class `Object`